{% extends "base.html" %}
{% load grafico_tags %}
{% block content %}
    <!-- top tiles -->
    <div class="row tile_count">
        <div class="col-md-3 col-sm-3 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-users"></i> Comunidades visíveis</span>
            <div class="count">{{ totais_gerais.total_territorios }}</div>
        </div>
        <div class="col-md-3 col-sm-3 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-users"></i> Comunidades que necessitam sua
            revisão</span>
            <div class="count">{{ user.territorios_para_revisar.count }}</div>
        </div>
        <div class="col-md-3 col-sm-3 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-users"></i> Comunidades validadas por você</span>
            <div class="count">{{ user.territorios_que_aprovou.count }}</div>
        </div>
        <div class="col-md-3 col-sm-3 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-users"></i> Comunidades rejeitadas por você</span>
            <div class="count">{{ user.territorios_que_rejeitou.count }}</div>
        </div>
    </div>
    <!-- /top tiles -->
    {% if evolucao_cadastros.territorios %}
        <div class="row">
            {% grafico_plot titulo="Evolução temporal do cadastrado de comunidades que são ou foram revisadas  por você" dados=evolucao_cadastros.territorios time_field="dia" value_field="qtde" %}
        </div>
    {% endif %}
    <br />
    <div class="row">
        <div class="col-md-3">
            <div class="x_panel">
                <div class="x_title">
                    <h2>A revisar - Reenviadas ({{ user.territorios_para_revisar_reenviados.count }})</h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content fixed_height_320 overflow_auto">
                    {% for item in user.territorios_para_revisar_reenviados %}
                        <article class="media event">
                            <div class="media-body">
                                <a class="title" href="{{ item.get_absolute_url }}">{{ item }}</a>
                                <p>{{ item.municipio_referencia }}</p>
                                <p>{{ item.ultima_alteracao }}</p>
                            </div>
                        </article>
                    {% empty %}
                        <article class="media event">
                            <div class="media-body">
                                <p>Nenhum registro encontrado.</p>
                            </div>
                        </article>
                    {% endfor %}
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="x_panel">
                <div class="x_title">
                    <h2>A revisar - Novas ({{ user.territorios_para_revisar_novos.count }})</h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content fixed_height_320 overflow_auto">
                    {% for item in user.territorios_para_revisar_novos %}
                        <article class="media event">
                            <div class="media-body">
                                <a class="title" href="{{ item.get_absolute_url }}">{{ item }}</a>
                                <p>{{ item.municipio_referencia }}</p>
                            </div>
                        </article>
                    {% empty %}
                        <article class="media event">
                            <div class="media-body">
                                <p>Nenhum registro encontrado.</p>
                            </div>
                        </article>
                    {% endfor %}
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="x_panel">
                <div class="x_title">
                    <h2>Em análise ({{ user.territorios_em_analise.count }})</h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content fixed_height_320 overflow_auto">
                    {% for item in user.territorios_em_analise %}
                        <article class="media event">
                            <div class="media-body">
                                <a class="title" href="{{ item.get_absolute_url }}">{{ item }}</a>
                                <p>{{ item.municipio_referencia }}</p>
                            </div>
                        </article>
                    {% empty %}
                        <article class="media event">
                            <div class="media-body">
                                <p>Nenhum registro encontrado.</p>
                            </div>
                        </article>
                    {% endfor %}
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="x_panel">
                <div class="x_title">
                    <h2>
                        Já processadas <small></small>
                    </h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    {% for item in user.territorios_processados|slice:":5" %}
                        <article class="media event">
                            <div class="media-body">
                                <a class="title" href="{{ item.get_absolute_url }}">{{ item }}</a>
                                <p>{{ item.municipio_referencia }}</p>
                            </div>
                        </article>
                        {% if forloop.last %}
                            {% if user.territorios_processados.count > 5 %}
                                <article class="media event">
                                    <div class="media-body">
                                        <a class="title"
                                           href="{% url 'TerritorioAgregadoIndex' %}?status_revisao=processados">ver todas</a>
                                    </div>
                                </article>
                            {% endif %}
                        {% endif %}
                    {% empty %}
                        <article class="media event">
                            <div class="media-body">
                                <p>
                                    Nenhum registro encontrado.
                                </p>
                            </div>
                        </article>
                    {% endfor %}
                </div>
            </div>
        </div>
        {% comment %} <div class="col-md-3">
            <div class="x_panel">
                <div class="x_title">
                    <h2>
                        Mensagens não lidas ({{ mensagens_nao_lidas.count }})
                    </h2>
                    <div class="clearfix">
                    </div>
                </div>
                <div class="x_content fixed_height_320 overflow_auto">
                    <table class="table-striped table-bordered table-condensed">
                        <tbody>
                            {% for mensagem in mensagens_nao_lidas %}
                                <tr>
                                    <td>
                                        <div>
                                            De: <b>{{ mensagem.remetente }}</b>
                                            <br />
                                            Comunidade: <b>{{ mensagem.territorio.nome }}</b>
                                        </div>
                                        <div class="alert alert-warning mb-0">
                                            {{ mensagem.texto|truncatechars:120 }}
                                        </div>
                                        <div class="small text-right mb-1">
                                            {{ mensagem.data_envio }}
                                        </div>
                                        <a class="btn btn-warning" style="width:100%" href="{% url 'territorio_mensagens' territorio_id=mensagem.territorio.id %}">Ver</a>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div> {% endcomment %}
    </div>
    <script>
        const areaMapeada = {% if totais_gerais.area_territorios %}'{{ totais_gerais.area_territorios }}'{% else %}'0'{% endif %};
        const areaMapeadaAprovada = {% if totais_gerais.area_territorios_aprovados %}'{{ totais_gerais.area_territorios_aprovados }}'{% else %}'0'{% endif %};
    </script>
{% endblock content %}
